Re: Slurm update 20.11.9


Adrian Reber
 

On Tue, May 10, 2022 at 01:48:45AM -0700, Thomas Gebert via groups.io wrote:
due to CVE-2022-29500, 29501 and 29502 ( https://www.schedmd.com/news.php?id=260 ) I am wondering if there will be updated RPMs available shortly
or if we rather should find another way to implent those patches.

System is Rocky Linux 8.5 with OpenHPC 2 Update 2.4

# cat /etc/redhat-release
Rocky Linux release 8.5 (Green Obsidian)

# rpm -qa | egrep 'ohpc-release|slurm'
slurm-devel-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
slurm-slurmdbd-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
slurm-slurmctld-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
slurm-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
slurm-perlapi-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
slurm-libpmi-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
ohpc-slurm-server-2.2-13.1.ohpc.2.4.x86_64
slurm-example-configs-ohpc-20.11.8-8.1.ohpc.2.4.x86_64
pdsh-mod-slurm-ohpc-2.34-8.3.ohpc.2.4.x86_64
ohpc-release-2-1.el8.x86_64
There is a version with the fix at:

https://obs.openhpc.community/package/show/OpenHPC:2.5:Factory/slurm

It is for the upcoming 2.5 release.

Adrian

Join OpenHPC-users@groups.io to automatically receive all group messages.